<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.gh.gamecenter.common.view.ZoomCoordinatorLayout
        android:id="@+id/container"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <com.google.android.material.appbar.AppBarLayout
            android:id="@+id/appbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:elevation="0dp"
            app:layout_behavior="com.gh.gamecenter.common.view.FixAppBarLayoutBehavior">

            <com.google.android.material.appbar.CollapsingToolbarLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:fitsSystemWindows="true"
                app:contentScrim="@color/white"
                app:expandedTitleGravity="top"
                app:layout_scrollFlags="scroll|exitUntilCollapsed"
                app:scrimAnimationDuration="0"
                app:scrimVisibleHeightTrigger="15dp"
                app:titleEnabled="false">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/contentContainer"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/background_white">

                    <RelativeLayout
                        android:id="@+id/user_background_container"
                        android:layout_width="match_parent"
                        android:layout_height="393dp"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <com.facebook.drawee.view.SimpleDraweeView
                            android:id="@+id/user_background"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            app:actualImageScaleType="centerCrop"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            app:placeholderImage="@drawable/bg_home_user_info"
                            app:placeholderImageScaleType="fitXY" />

                        <View
                            android:id="@+id/shadowView"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@drawable/shadow_user_home_bg"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />
                    </RelativeLayout>

                    <com.gh.gamecenter.common.view.StatusBarView
                        android:id="@+id/statusBarView"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <com.gh.gamecenter.common.view.AvatarBorderView
                        android:id="@+id/user_icon"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="50dp"
                        app:avatar_width="64dp"
                        app:badge_width="18dp"
                        app:border_width="4dp"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/statusBarView"
                        tools:layout_height="96dp"
                        tools:layout_width="96dp" />

                    <TextView
                        android:id="@+id/user_edit_btn"
                        android:layout_width="72dp"
                        android:layout_height="24dp"
                        android:layout_marginLeft="88dp"
                        android:background="@drawable/button_round_white_alpha_20"
                        android:gravity="center"
                        android:text="编辑资料"
                        android:textColor="@color/white"
                        android:textSize="12sp"
                        android:visibility="gone"
                        app:layout_constraintBottom_toBottomOf="@+id/user_icon"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/user_icon"
                        tools:visibility="visible" />

                    <TextView
                        android:id="@+id/user_name"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="16dp"
                        android:layout_marginTop="92dp"
                        android:clickable="true"
                        android:focusable="true"
                        android:includeFontPadding="false"
                        android:textColor="@color/white"
                        android:textSize="16sp"
                        android:textStyle="bold"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/user_icon"
                        tools:text="我的名字很长的哟" />

                    <LinearLayout
                        android:id="@+id/regulation_and_badge_container"
                        android:layout_width="wrap_content"
                        android:layout_height="16dp"
                        android:layout_marginLeft="16dp"
                        android:layout_marginTop="12dp"
                        android:orientation="horizontal"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/user_name">

                        <LinearLayout
                            android:id="@+id/levelContainer"
                            android:layout_width="wrap_content"
                            android:layout_height="16dp"
                            android:layout_marginRight="8dp"
                            android:background="@drawable/bg_user_level"
                            android:gravity="center_vertical"
                            android:orientation="horizontal"
                            android:paddingLeft="4dp"
                            android:paddingRight="4dp"
                            android:visibility="gone"
                            tools:visibility="visible">

                            <ImageView
                                android:layout_width="10dp"
                                android:layout_height="10dp"
                                android:src="@drawable/ic_level" />

                            <TextView
                                android:id="@+id/levelTv"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:includeFontPadding="false"
                                android:paddingLeft="1dp"
                                android:textColor="@color/white"
                                android:textSize="10sp"
                                android:textStyle="bold|italic"
                                tools:text="Lv0" />

                            <ImageView
                                android:layout_width="6dp"
                                android:layout_height="8dp"
                                android:src="@drawable/ic_user_more" />
                        </LinearLayout>

                        <RelativeLayout
                            android:id="@+id/badge_container"
                            android:layout_width="wrap_content"
                            android:layout_height="16dp"
                            android:layout_marginRight="8dp"
                            android:background="@drawable/bg_user_badge"
                            android:orientation="horizontal"
                            android:paddingLeft="4dp"
                            android:visibility="gone"
                            tools:visibility="visible">

                            <com.facebook.drawee.view.SimpleDraweeView
                                android:id="@+id/badge_icon"
                                android:layout_width="10dp"
                                android:layout_height="10dp"
                                android:layout_centerVertical="true"
                                app:placeholderImage="@drawable/ic_badge_default" />

                            <LinearLayout
                                android:id="@+id/badgeContentContainer"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:layout_marginLeft="2dp"
                                android:layout_marginRight="2dp"
                                android:layout_toRightOf="@+id/badge_icon"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <ImageView
                                    android:id="@+id/badgeMyBadgeIcon"
                                    android:layout_width="36dp"
                                    android:layout_height="8dp"
                                    android:src="@drawable/ic_my_badge"
                                    android:visibility="gone"
                                    tools:visibility="visible" />

                                <TextView
                                    android:id="@+id/badge_count_tv"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="2dp"
                                    android:includeFontPadding="false"
                                    android:textColor="@color/white"
                                    android:textSize="10sp"
                                    android:textStyle="bold"
                                    android:visibility="gone"
                                    tools:text="3"
                                    tools:visibility="visible" />

                                <ImageView
                                    android:id="@+id/badge_tv"
                                    android:layout_width="18dp"
                                    android:layout_height="8dp"
                                    android:layout_marginLeft="1dp"
                                    android:src="@drawable/ic_badge_tv"
                                    android:visibility="gone"
                                    tools:visibility="visible" />
                            </LinearLayout>

                            <ImageView
                                android:id="@+id/badge_arrow"
                                android:layout_width="6dp"
                                android:layout_height="8dp"
                                android:layout_centerVertical="true"
                                android:layout_marginRight="2dp"
                                android:layout_toRightOf="@+id/badgeContentContainer"
                                android:src="@drawable/ic_user_more" />

                            <ImageView
                                android:id="@+id/badge_tips"
                                android:layout_width="4dp"
                                android:layout_height="4dp"
                                android:layout_marginTop="2dp"
                                android:layout_toLeftOf="@+id/badge_arrow"
                                android:src="@drawable/oval_hint_red_bg"
                                android:visibility="gone"
                                tools:visibility="visible" />
                        </RelativeLayout>

                        <ImageView
                            android:id="@+id/regulation_test_container"
                            android:layout_width="32dp"
                            android:layout_height="16dp"
                            android:src="@drawable/ic_regulation_tag"
                            android:visibility="gone"
                            tools:visibility="visible" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/ipAndRegionContainer"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="16dp"
                        android:layout_marginTop="12dp"
                        android:orientation="horizontal"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/regulation_and_badge_container">

                        <TextView
                            android:id="@+id/userIdTv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:includeFontPadding="false"
                            android:textColor="@color/white"
                            android:textSize="@dimen/secondary_size"
                            tools:text="ID:11681168" />

                        <TextView
                            android:id="@+id/ipRegionTv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="16dp"
                            android:includeFontPadding="false"
                            android:textColor="@color/white"
                            android:textSize="@dimen/secondary_size"
                            android:visibility="gone"
                            tools:text="IP属地：广东"
                            tools:visibility="visible" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/auth_container"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="12dp"
                        android:layout_marginLeft="16dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:visibility="gone"
                        tools:visibility="visible"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/ipAndRegionContainer">

                        <com.facebook.drawee.view.SimpleDraweeView
                            android:id="@+id/authIcon"
                            android:layout_width="12dp"
                            android:layout_height="12dp"
                            app:placeholderImage="@drawable/ic_auth"
                            app:roundAsCircle="true" />


                        <TextView
                            android:id="@+id/authTv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="2dp"
                            android:includeFontPadding="false"
                            android:textColor="@color/white"
                            android:textSize="@dimen/secondary_size"
                            tools:text="认证：游戏达人" />
                    </LinearLayout>

                    <TextView
                        android:id="@+id/user_introduce"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="16dp"
                        android:layout_marginTop="16dp"
                        android:layout_marginRight="16dp"
                        android:ellipsize="end"
                        android:includeFontPadding="false"
                        android:lineSpacingExtra="5dp"
                        android:maxLines="2"
                        android:textColor="@color/white"
                        android:textSize="12sp"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/auth_container"
                        tools:text="这是我的个性签名呀欢迎大家来撩，特别长的签名，很长很长,这是我的个性签名呀欢迎大家来撩，特别长的签名，很长很长,这是我的个性签名呀欢迎大家来撩，特别长的签名，很长很长这是我的个性签名呀欢迎大家来撩，特别长的签名，很长很长这是我的个性签名呀欢迎大家来撩，特别长的签名，很长很长这是我的个性签名呀欢迎大家来撩，特别长的签名，很长很长" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/recent_visit_container"
                        android:layout_width="80dp"
                        android:layout_height="42dp"
                        android:background="@drawable/bg_recent_visit"
                        android:clickable="true"
                        android:focusable="true"
                        android:paddingLeft="14dp"
                        android:visibility="gone"
                        app:layout_constraintBottom_toBottomOf="@+id/user_icon"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/user_icon"
                        tools:visibility="visible">

                        <TextView
                            android:id="@+id/recent_visit_tv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="8dp"
                            android:includeFontPadding="false"
                            android:text="@string/recent_visit"
                            android:textColor="@color/white"
                            android:textSize="10sp"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <LinearLayout
                            android:id="@+id/recentVisitRightContainer"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="8dp"
                            android:layout_marginTop="8dp"
                            android:gravity="center"
                            android:orientation="horizontal"
                            app:layout_constraintLeft_toRightOf="@+id/recent_visit_tv"
                            app:layout_constraintTop_toTopOf="parent">

                            <com.facebook.drawee.view.SimpleDraweeView
                                android:id="@+id/recent_visit_icon"
                                style="@style/frescoCircleStyle"
                                android:layout_width="12dp"
                                android:layout_height="12dp" />

                            <TextView
                                android:id="@+id/recent_visit_empty"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:includeFontPadding="false"
                                android:text="@string/empty"
                                android:textColor="@color/white"
                                android:textSize="10sp"
                                tools:visibility="gone" />
                        </LinearLayout>

                        <TextView
                            android:id="@+id/today_visit_tv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="5dp"
                            android:includeFontPadding="false"
                            android:text="@string/today_visit"
                            android:textColor="@color/white"
                            android:textSize="10sp"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/recent_visit_tv" />

                        <TextView
                            android:id="@+id/todayVisitCount"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@+id/recent_visit_tv"
                            android:layout_marginTop="5dp"
                            android:layout_toRightOf="@+id/today_visit_tv"
                            android:includeFontPadding="false"
                            android:textColor="@color/white"
                            android:textSize="10sp"
                            app:layout_constraintLeft_toLeftOf="@+id/recentVisitRightContainer"
                            app:layout_constraintRight_toRightOf="@+id/recentVisitRightContainer"
                            app:layout_constraintTop_toBottomOf="@+id/recentVisitRightContainer" />
                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <LinearLayout
                        android:id="@+id/user_count_container"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="4dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/user_introduce">

                        <LinearLayout
                            android:id="@+id/user_follower_container"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:orientation="horizontal"
                            android:paddingLeft="16dp"
                            android:paddingTop="20dp"
                            android:paddingRight="12dp"
                            android:paddingBottom="20dp">

                            <TextView
                                android:id="@+id/user_follower_count"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textColor="@color/white"
                                android:textSize="16sp"
                                android:textStyle="bold"
                                tools:text="0" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="4dp"
                                android:text="@string/follow"
                                android:textColor="@color/white"
                                android:textSize="12sp" />
                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/user_fans_container"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:orientation="horizontal"
                            android:paddingLeft="12dp"
                            android:paddingTop="20dp"
                            android:paddingRight="12dp"
                            android:paddingBottom="20dp">

                            <TextView
                                android:id="@+id/user_fans_count"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textColor="@color/white"
                                android:textSize="16sp"
                                android:textStyle="bold"
                                tools:text="0" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="4dp"
                                android:text="@string/fans"
                                android:textColor="@color/white"
                                android:textSize="12sp" />

                            <TextView
                                android:id="@+id/user_fans_count_hint"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="top"
                                android:background="@drawable/message_unread_hint"
                                android:minWidth="11dp"
                                android:minHeight="1dp"
                                android:paddingLeft="3dp"
                                android:paddingRight="3dp"
                                android:textColor="@color/white"
                                android:textSize="8dp"
                                android:visibility="gone" />
                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/user_vote_container"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:orientation="horizontal"
                            android:paddingLeft="12dp"
                            android:paddingTop="20dp"
                            android:paddingRight="24dp"
                            android:paddingBottom="20dp">

                            <TextView
                                android:id="@+id/user_vote_count"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textColor="@color/white"
                                android:textSize="16sp"
                                android:textStyle="bold"
                                tools:text="0" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="4dp"
                                android:text="@string/agree"
                                android:textColor="@color/white"
                                android:textSize="12sp" />
                        </LinearLayout>
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/user_concern_container"
                        android:layout_width="76dp"
                        android:layout_height="28dp"
                        android:layout_marginRight="16dp"
                        android:background="@drawable/bg_user_concern"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:visibility="gone"
                        app:layout_constraintBottom_toBottomOf="@+id/user_icon"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/user_icon"
                        tools:visibility="visible">

                        <ImageView
                            android:layout_width="12dp"
                            android:layout_height="12dp"
                            android:layout_marginLeft="16dp"
                            android:src="@drawable/ic_user_concern_left" />

                        <TextView
                            android:id="@+id/user_concern_btn"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="4dp"
                            android:gravity="center"
                            android:text="@string/follow"
                            android:textColor="@color/white"
                            android:textSize="14sp" />
                    </LinearLayout>

                    <TextView
                        android:id="@+id/user_concerned_btn"
                        android:layout_width="wrap_content"
                        android:layout_height="26dp"
                        android:layout_marginRight="16dp"
                        android:background="@drawable/background_shape_round_white_alpha_20"
                        android:gravity="center"
                        android:paddingLeft="12dp"
                        android:paddingRight="12dp"
                        android:text="@string/concerned"
                        android:textColor="@color/white"
                        android:textSize="11sp"
                        android:visibility="gone"
                        app:layout_constraintBottom_toBottomOf="@+id/user_icon"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/user_icon" />

                    <LinearLayout
                        android:id="@+id/user_change_bg_btn"
                        android:layout_width="38dp"
                        android:layout_height="24dp"
                        android:layout_marginTop="24dp"
                        android:layout_marginRight="11dp"
                        android:background="@drawable/background_shape_round_white_alpha_20"
                        android:gravity="center"
                        android:orientation="horizontal"
                        android:textColor="@color/white"
                        android:visibility="gone"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/recent_visit_container"
                        tools:visibility="visible">

                        <ImageView
                            android:layout_width="16dp"
                            android:layout_height="16dp"
                            android:src="@drawable/ic_change_bg" />
                    </LinearLayout>

                    <LinearLayout
                        android:visibility="gone"
                        android:id="@+id/changeBgTips"
                        android:layout_width="110dp"
                        android:layout_height="24dp"
                        android:layout_marginTop="4dp"
                        android:background="@drawable/background_shape_round_white_alpha_20"
                        android:gravity="center"
                        android:orientation="horizontal"
                        app:layout_constraintRight_toRightOf="@+id/user_change_bg_btn"
                        app:layout_constraintTop_toBottomOf="@+id/user_change_bg_btn">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/change_bg_tips"
                            android:textColor="@color/white"
                            android:textSize="12sp" />

                        <ImageView
                            android:layout_width="12dp"
                            android:layout_height="12dp"
                            android:layout_marginLeft="2dp"
                            android:src="@drawable/ic_change_bg_tips" />

                    </LinearLayout>

                    <View
                        android:id="@+id/tabTopVIew"
                        android:layout_width="match_parent"
                        android:layout_height="16dp"
                        android:background="@drawable/background_shape_white_radius_16_top_only"
                        app:layout_constraintBottom_toBottomOf="@+id/user_background_container"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent" />
                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.appcompat.widget.Toolbar
                    android:id="@+id/toolbar"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layout_collapseMode="pin"
                    app:navigationIcon="@null">

                    <RelativeLayout
                        android:id="@+id/toolbar_container"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <com.gh.gamecenter.common.view.StatusBarView
                            android:id="@+id/statusBar"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_below="@+id/statusBar">

                            <ImageView
                                android:id="@+id/iv_back"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:paddingLeft="16dp"
                                android:paddingTop="8dp"
                                android:paddingRight="16dp"
                                android:paddingBottom="8dp"
                                android:src="@drawable/ic_toolbar_back_white" />

                            <LinearLayout
                                android:id="@+id/user_small_container"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerInParent="true"
                                android:orientation="horizontal">

                                <com.facebook.drawee.view.SimpleDraweeView
                                    android:id="@+id/user_small_icon"
                                    android:layout_width="28dp"
                                    android:layout_height="28dp"
                                    app:placeholderImage="@drawable/personal_user_default_icon"
                                    app:roundAsCircle="true"
                                    app:roundingBorderColor="@color/white"
                                    app:roundingBorderWidth="2dp" />

                                <TextView
                                    android:id="@+id/user_small_name"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="8dp"
                                    android:layout_marginTop="3dp"
                                    android:textColor="@color/white"
                                    android:textSize="14sp"
                                    tools:text="姓名" />
                            </LinearLayout>

                            <ImageView
                                android:id="@+id/iv_share"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:layout_centerVertical="true"
                                android:paddingLeft="16dp"
                                android:paddingTop="8dp"
                                android:paddingRight="16dp"
                                android:paddingBottom="8dp"
                                android:src="@drawable/ic_share"
                                android:visibility="gone" />

                            <ImageView
                                android:id="@+id/iv_more"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:layout_centerVertical="true"
                                android:paddingLeft="16dp"
                                android:paddingTop="5dp"
                                android:paddingRight="16dp"
                                android:paddingBottom="5dp"
                                android:src="@drawable/ic_user_home_more"
                                android:visibility="gone" />
                        </RelativeLayout>
                    </RelativeLayout>
                </androidx.appcompat.widget.Toolbar>
            </com.google.android.material.appbar.CollapsingToolbarLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/tabContainer"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/background_white">

                    <com.google.android.material.tabs.TabLayout
                        android:id="@+id/tabLayout"
                        android:layout_width="match_parent"
                        android:layout_height="30dp"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:tabIndicator="@null"
                        app:tabTextAppearance="@style/TabLayoutTextAppearance" />

                    <com.gh.gamecenter.common.view.TabIndicatorView
                        android:id="@+id/tabIndicator"
                        android:layout_width="match_parent"
                        android:layout_height="8dp"
                        app:indicatorDrawable="@drawable/ic_commodity_selected"
                        app:layout_constraintTop_toBottomOf="@id/tabLayout" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1px"
                        android:background="@color/divider"
                        app:layout_constraintBottom_toBottomOf="parent" />

                </androidx.constraintlayout.widget.ConstraintLayout>

            </LinearLayout>

        </com.google.android.material.appbar.AppBarLayout>

        <androidx.viewpager.widget.ViewPager
            android:id="@+id/viewpager"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_behavior="com.google.android.material.appbar.AppBarLayout$ScrollingViewBehavior" />

    </com.gh.gamecenter.common.view.ZoomCoordinatorLayout>

    <include
        android:id="@+id/reuse_no_connection"
        layout="@layout/reuse_no_connection" />

</FrameLayout>